namespace Decal.Filters;

public class VitalFormula
{
	private bool mAttr1Valid;

	private bool mAttr2Valid;

	private int mAttr1Id;

	private int mAttr2Id;

	private int mDivisor;

	private int mUnk;

	public bool IsAttribute1Valid
	{
		get
		{
			return mAttr1Valid;
		}
		internal set
		{
			mAttr1Valid = value;
		}
	}

	public bool IsAttribute2Valid
	{
		get
		{
			return mAttr2Valid;
		}
		internal set
		{
			mAttr2Valid = value;
		}
	}

	public int Attribute1Id
	{
		get
		{
			return mAttr1Id;
		}
		internal set
		{
			mAttr1Id = value;
		}
	}

	public int Attribute2Id
	{
		get
		{
			return mAttr2Id;
		}
		internal set
		{
			mAttr2Id = value;
		}
	}

	public int AttributeDivisor
	{
		get
		{
			return mDivisor;
		}
		internal set
		{
			mDivisor = value;
		}
	}

	public int Unknown
	{
		get
		{
			return mUnk;
		}
		internal set
		{
			mUnk = value;
		}
	}

	internal VitalFormula()
	{
	}
}
